Bug 468519 - ohm doesn't build on x86_64
ohm doesn't build on x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ohm (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Ball
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-25 10:45 EDT by Peter Robinson
Modified: 2009-06-19 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 03:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-10-25 10:45:44 EDT
In trying to build ohm in rawhide so that the package can be maintained in mainline it fails to build in x86_64 (details below), it looks to be a reasonable fix, but the other alternative would be to do just build it on i386.

Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=902882

make[1]: Entering directory `/builddir/build/BUILD/ohm-0.1.1/libidletime'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo   -DPACKAGE_DATA_DIR=\""/usr/share"\"  -Werror -Wall -Wcast-align -Wno-uninitialized -fno-strict-aliasing  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -MT libidletime.lo -MD -MP -MF .deps/libidletime.Tpo -c -o libidletime.lo libidletime.c
mkdir .libs
 gcc -DHAVE_CONFIG_H -I. -I.. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -DPACKAGE_DATA_DIR=\"/usr/share\" -Werror -Wall -Wcast-align -Wno-uninitialized -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -MT libidletime.lo -MD -MP -MF .deps/libidletime.Tpo -c libidletime.c  -fPIC -DPIC -o .libs/libidletime.o
cc1: warnings being treated as errors
libidletime.c: In function 'idletime_x_event_filter':
libidletime.c:250: error: format '%lld' expects type 'long long int', but argument 6 has type 'gint64'
make[1]: *** [libidletime.lo] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/ohm-0.1.1/libidletime'
make: *** [install-recursive] Error 1
Comment 1 Peter Robinson 2008-11-20 07:39:17 EST
I've applied "ExclusiveArch: i386" for the moment to get it into mainline.
Comment 2 Bug Zapper 2008-11-25 23:14:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.